Apache Derby 10.4

## org.apache.derby.jdbc
Class EmbeddedXADataSource40

    java.lang.Object
      org.apache.derby.jdbc.ReferenceableDataSource
          org.apache.derby.jdbc.EmbeddedDataSource
              org.apache.derby.jdbc.EmbeddedXADataSource
                  org.apache.derby.jdbc.EmbeddedXADataSource40

All Implemented Interfaces:
  java.io.Serializable, java.sql.Wrapper, javax.naming.Referenceable, javax.naming.spi.ObjectFactory, javax.sql.CommonDataSource, javax.sql.DataSource, javax.sql.XADataSource

    public class EmbeddedXADataSource40

extends org.apache.derby.jdbc.EmbeddedXADataSource

EmbeddedXADataSource40 is Derby's XADataSource implementation for JDBC4.0.

An XADataSource is a factory for XAConnection objects. It represents a RM in a DTP environment. An object that implements the XADataSource interface is typically registered with a JNDI service provider.

EmbeddedXADataSource40 supports the JDBC 4.0 specification for the J2SE 6.0 Java Virtual Machine environment. Use EmbeddedXADataSource if your application runs in the following environments:

- JDBC 3.0 - Java 2 - JDK 1.4, J2SE 5.0

EmbeddedXADataSource40 object only works on a local database. There is no client/server support. An EmbeddedXADataSource40 object must live in the same jvm as the database.

EmbeddedXADataSource40 is serializable and referenceable.

See EmbeddedDataSource40 for DataSource properties.

See Also:
  Serialized Form

Constructor Summary
`EmbeddedXADataSource40()` Creates a new instance of EmbeddedXADataSource40

Method Summary
`boolean` `isWrapperFor(java.lang.Class<?> interfaces)` Returns false unless `interfaces` is implemented

`

`<T> T`

`

`unwrap(java.lang.Class<T> interfaces)`
Returns `this` if this class implements the interface

Methods inherited from class org.apache.derby.jdbc.EmbeddedXADataSource
`createXAConnection, getXAConnection, getXAConnection`

Methods inherited from class org.apache.derby.jdbc.EmbeddedDataSource
`equals, getAttributesAsPassword, getConnection, getConnection, getConnectionAttributes, getCreateDatabase, getShutdownDatabase, setAttributesAsPassword, setConnectionAttributes, setCreateDatabase, setShutdownDatabase`

Methods inherited from class org.apache.derby.jdbc.ReferenceableDataSource
`getDatabaseName, getDataSourceName, getDescription, getLoginTimeout, getLogWriter, getObjectInstance, getPassword, getReference, getUser, setDatabaseName, setDataSourceName, setDescription, setLoginTimeout, setLogWriter, setPassword, setUser`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.sql.CommonDataSource
`getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

Constructor Detail

### EmbeddedXADataSource40

    public EmbeddedXADataSource40()

  Creates a new instance of EmbeddedXADataSource40

Method Detail

### isWrapperFor

    public boolean isWrapperFor(java.lang.Class<?> interfaces)
                         throws java.sql.SQLException

  Returns false unless `interfaces` is implemented

  Parameters:
    `interfaces` - a Class defining an interface.
  Returns:
    true if this implements the interface or directly or indirectly wraps an object that does.
  Throws:
    `java.sql.SQLException` - if an error occurs while determining whether this is a wrapper for an object with the given interface.

### unwrap

    public <T> T unwrap(java.lang.Class<T> interfaces)
             throws java.sql.SQLException

  Returns `this` if this class implements the interface

  Parameters:
    `interfaces` - a Class defining an interface
  Returns:
    an object that implements the interface
  Throws:
    `java.sql.SQLExption` - if no object if found that implements the interface
    `java.sql.SQLException`

Built on Wed 2008-04-16 18:34:32+0200, from revision 648739

Apache Derby 10.4 API Documentation - Copyright © 2004,2008 The Apache Software Foundation. All Rights Reserved.